# PeerfactSim.KOM, Simonstrator-Version

This is PeerfactSim.KOM in the Simonstrator-enabled version. It contains models for common network and physical layer types as well as movement and placement models. Combined with the analyzing and evaluation toolchain, it supports rapid prototyping and performance evaluations of new services, protocols, and overlays.

## Installation

Just clone this repository, it already includes an Eclipse project. The project is built using Maven, so you need to install the M2E-extension in Eclipse when working with PeerfactSim.KOM. Furthermore, the project depends on the Simonstrator-API. Which version of the API to use is defined within the VERSION file contained in the root folder of this project.

## Usage

Usually, you do not need to touch a single line of code within this project. It is provided mostly for debugging purposes. In order to configure and run your simulations, please refer to the simonstrator-simRunner project and its documentation.

## Extending PeerfactSim.KOM

In some cases you might want to implement new movement models, network layer routing protocols, or any other kind of "below transport-layer"-functionality. In oder to do so, please create a new feature branch (name convention: [yourname]/[featurename]) and implement you feature there. Once you are finished, please create a merge request and assign it to one of the project maintainers (usually @br ) to get it approved. A description of the feature in the merge request is required, as well as corresponding simRunner configurations for sample simulation runs.