/*
 * Copyright (c) 2005-2013 KOM - Multimedia Communications Lab
 *
 * This file is part of PeerfactSim.KOM.
 *
 * PeerfactSim.KOM is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 *
 * PeerfactSim.KOM is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with PeerfactSim.KOM.  If not, see <http://www.gnu.org/licenses/>.
 */

package de.tud.kom.p2psim.impl.topology.events;

/**
 * This event is posted when a component scales
 * the map to a specific size.
 *
 * Posted by
 * - AppJobberDataLoader
 * - AbstractWaypointMovementModel
 *
 * @author Fabio Zöllner
 * @version 1.0, 09.02.13
 */
public class ScaleWorldEvent {
    private double scaleFactor = 1.0;

    public ScaleWorldEvent(double scaleFactor) {
        this.scaleFactor = scaleFactor;
    }

    public double getFactor() {
        return scaleFactor;
    }
}
