/*
 * Copyright (c) 2005-2010 KOM – Multimedia Communications Lab
 *
 * This file is part of PeerfactSim.KOM.
 * 
 * PeerfactSim.KOM is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 * 
 * PeerfactSim.KOM is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with PeerfactSim.KOM.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

package de.tud.kom.p2psim.impl.topology.views.visualization.ui;

import java.util.List;

import javax.swing.JCheckBox;

/**
 * Interface for the components, to add options as CheckBoxes to the
 * {@link ComponentToggler}. The CheckBoxes which are returned from this
 * implemented component, should be self handle the events of the checkBoxes!
 * 
 * @author Christoph Muenker
 * @version 1.0, 17.07.2013
 */
public interface ComponentOptions {
	/**
	 * Gets the checkBoxes, which are Options for the implementing Component for
	 * the {@link ComponentToggler}. The handling of the events to the
	 * checkBoxes should be handled by the implementing class.
	 * 
	 * @return A list of Checkboxes which are Options for the component.
	 */
	public List<JCheckBox> getCheckBoxes();
}
