/*
 * Copyright (c) 2005-2010 KOM – Multimedia Communications Lab
 *
 * This file is part of PeerfactSim.KOM.
 * 
 * PeerfactSim.KOM is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 * 
 * PeerfactSim.KOM is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with PeerfactSim.KOM.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

package de.tud.kom.p2psim.impl.topology.views.visualization.world;

import java.awt.Color;
import java.awt.Graphics;
import java.awt.Graphics2D;

import javax.swing.JComponent;

import de.tud.kom.p2psim.api.linklayer.mac.Link;
import de.tud.kom.p2psim.impl.topology.views.VisualizationTopologyView;

/**
 * Visualization of a Link
 * 
 * @author Bjoern Richerzhagen
 * @version 1.0, 19.03.2012
 */
public class LinkComponentVis extends JComponent {
	
	/**
	 * 
	 */
	private final VisualizationTopologyView visualizationTopologyView;

	private Link link;
	
	private TopologyComponentVis src;
	
	private TopologyComponentVis dst;
	
	public LinkComponentVis(VisualizationTopologyView visualizationTopologyView, Link link, TopologyComponentVis src, TopologyComponentVis dst) {
		this.visualizationTopologyView = visualizationTopologyView;
		this.link = link;
		this.src = src;
		this.dst = dst;
		setBounds(0, 0, (int)(this.visualizationTopologyView.getWorldDimensions().getX() / this.visualizationTopologyView.getScale()), (int)(this.visualizationTopologyView.getWorldDimensions().getY() / this.visualizationTopologyView.getScale()));
		setBounds(0, 0, (int) (this.visualizationTopologyView.getWorldDimensions().getX() / this.visualizationTopologyView.getScale()), (int) (this.visualizationTopologyView.getWorldDimensions().getY() / this.visualizationTopologyView.getScale()));
		setOpaque(false);
	}
	
	@Override
	protected void paintComponent(Graphics g) {
		super.paintComponent(g);
		Graphics2D g2 = (Graphics2D) g;

		if (link.isConnected()) {
			double scale = this.visualizationTopologyView.getScale();
			
			g2.setColor(Color.BLUE);
			g2.drawLine((int) (src.getPosition().getX() / scale), (int) (src
					.getPosition().getY() / scale), (int) (dst.getPosition()
					.getX() / scale), (int) (dst.getPosition().getY() / scale));
			g2.drawLine((int) (src.getPosition().getX() / scale),
					(int) (src.getPosition().getY() / scale), (int) (dst
							.getPosition().getX() / scale), (int) (dst
							.getPosition().getY() / scale));
		} else {
			//
		}
	}
	
}